Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class UnsupportedClassVersionError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              java.lang.LinkageError
                  java.lang.ClassFormatError
                      java.lang.UnsupportedClassVersionError

All Implemented Interfaces:
  Serializable

public class UnsupportedClassVersionError
extends ClassFormatError

Thrown when the Java Virtual Machine attempts to read a class file and determines that the major and minor version numbers in the file are not supported.

Since:
  1.2
See Also:
  Serialized Form

Constructor Summary
`UnsupportedClassVersionError()` Constructs a `UnsupportedClassVersionError` with no detail message.
`UnsupportedClassVersionError(String s)` Constructs a `UnsupportedClassVersionError` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedClassVersionError

    public UnsupportedClassVersionError()

  Constructs a `UnsupportedClassVersionError` with no detail message.

### UnsupportedClassVersionError

    public UnsupportedClassVersionError(String s)

  Constructs a `UnsupportedClassVersionError` with the specified detail message.

Parameters:
  `s` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.